Show / Hide Table of Contents

# Class HoveredAction

##### Inheritance

System.Object
HoveredAction

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public class HoveredAction

### Properties

| Improve this Doc View Source

#### ActionID

Action ID accounting for automatic upgrades.

##### Declaration

    public uint ActionID { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ActionKind

The type of action

##### Declaration

    public HoverActionKind ActionKind { get; set; }

##### Property Value

Type | Description
--- | ---
HoverActionKind |

| Improve this Doc View Source

#### BaseActionID

The base action ID

##### Declaration

    public uint BaseActionID { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |